<?php

// Set character encoding headers
header('Content-Type: text/html; charset=utf-8');

include "connection.php";

// Set charset for database connection 
mysqli_set_charset($conn, "utf8mb4");

if (isset($_POST['name'])) {
    $name = $_POST['name'];
    $mobile = $_POST['mobile'];

    // Define the target directory for images
    $target_dir = "Images/";

    // Ensure the directory exists and is writable
    if (!is_dir($target_dir)) {
        mkdir($target_dir, 0755, true);
    }

    // Generate a unique filename
    $imageStore = rand() . "_" . time() . ".jpeg";
    $target_file = $target_dir . $imageStore;

    // Save the image
    if (isset($_FILES["image"])) {
        if (move_uploaded_file($_FILES["image"]["tmp_name"], $target_file)) {
            // Image uploaded successfully
        } else {
            // Image move failed
        }
    }

    // Prepare the SQL statement to prevent SQL injection
    $stmt = $conn->prepare("INSERT INTO ambulance (name, mobile, image) VALUES (?, ?, ?)");
    $stmt->bind_param("sss", $name, $mobile, $imageStore);

    // Execute the prepared statement
    if ($stmt->execute()) {
        echo "Successfully Uploaded";
    } else {
        echo "Upload Failed: " . $stmt->error; // Display error message
    }
    
    
    //======================================
    if($result) {
    echo "Data inserted successfully!!";
} else {
    echo "Data insertion failed!!";
}
//===================================

    // Close the statement and connection
    $stmt->close();
}

// Close the connection
if ($conn) {
    $conn->close();
}



?>
