<?php

// Set character encoding headers
header('Content-Type: text/html; charset=utf-8');

include "connection.php";

// Set charset for database connection 
mysqli_set_charset($conn, "utf8mb4");

if (isset($_POST['name'])) {
    
    $name = $_POST['name'];
    $mobile = $_POST['mobile'];
    $blood_group = $_POST['blood_group'];
    $total_donation = $_POST['total_donation'];
    $last_donation = $_POST['last_donation'];
    $date_of_birth = $_POST['date_of_birth'];
    $present_address = $_POST['present_address'];
    $permanent_address = $_POST['permanent_address'];

    // Define the target directory for images
    $target_dir = "Images/";

    // Ensure the directory exists and is writable
    if (!is_dir($target_dir)) {
        mkdir($target_dir, 0755, true);
    }

    // Generate a unique filename
    $imageStore = rand() . "_" . time() . ".jpeg";
    $target_file = $target_dir . $imageStore;

    // Save the image
    if (isset($_FILES["image"]) && $_FILES["image"]["error"] === UPLOAD_ERR_OK) {
        if (move_uploaded_file($_FILES["image"]["tmp_name"], $target_file)) {
            // Image uploaded successfully
        } else {
            echo "Image upload failed";
            exit;
        }
    } else {
        $imageStore = null; // If no image is uploaded
    }

    // Prepare the SQL statement to prevent SQL injection
    $stmt = $conn->prepare("INSERT INTO blood_donors (name, mobile, blood_group, total_donation, last_donation, date_of_birth, present_address, permanent_address, images) VALUES (?, ?, ?, ?, ?, ?, ?, ?, ?)");
    $stmt->bind_param("sssssssss", $name, $mobile, $blood_group, $total_donation, $last_donation, $date_of_birth, $present_address, $permanent_address, $imageStore);

    // Execute the query
    if ($stmt->execute()) {
        echo "Data inserted successfully!!";
    } else {
        echo "Data insertion failed: " . $stmt->error;
    }

    // Close the statement
    $stmt->close();
}

// Close the database connection
$conn->close();

?>
