<?php

// Set character encoding headers
header('Content-Type: text/html; charset=utf-8');

include "connection.php";

// Set charset for database connection
mysqli_set_charset($conn, "utf8mb4");

if (isset($_POST['doc_name'])) {

    // Get the POST data
    $doc_name = $_POST['doc_name'];
    $specialty = $_POST['specialty'];
    $exp_years = $_POST['exp_years'];
    $doctor_fee = $_POST['doctor_fee'];
    $location = $_POST['location'];
    $edu_qual = $_POST['edu_qual'];
    $workplace = $_POST['workplace'];
    $expertise = $_POST['expertise'];
    $floor_no = $_POST['floor_no'];
    $room_no = $_POST['room_no'];
    $contact_no = $_POST['contact_no'];
    $schedule = $_POST['schedule'];
    $view_count = isset($_POST['view_count']) ? $_POST['view_count'] : 0;
    $cetagory = isset($_POST['cetagory']) ? $_POST['cetagory'] : "Uncategorized"; // Default category

    // Define the target directory for images
    $target_dir = "Images/";

    // Ensure the directory exists and is writable
    if (!is_dir($target_dir) && !mkdir($target_dir, 0755, true)) {
        die("Failed to create directory!");
    }

    if (!is_writable($target_dir)) {
        die("Directory is not writable!");
    }

    // Handle image upload
    $imageStore = null;
    if (isset($_FILES["image"]) && $_FILES["image"]["error"] === UPLOAD_ERR_OK) {
        $imageStore = rand() . "_" . time() . ".jpeg";
        $target_file = $target_dir . $imageStore;

        if (!move_uploaded_file($_FILES["image"]["tmp_name"], $target_file)) {
            die("Failed to move uploaded file! Check folder permissions.");
        }
    } else {
        if (isset($_FILES["image"]["error"])) {
            die("File upload error: " . $_FILES["image"]["error"]);
        } else {
            die("No file uploaded!");
        }
    }

    // Check for duplicate contact number
    $checkQuery = $conn->prepare("SELECT COUNT(*) FROM doctors_info WHERE contact_no = ?");
    $checkQuery->bind_param("s", $contact_no);
    $checkQuery->execute();
    $checkQuery->bind_result($count);
    $checkQuery->fetch();
    $checkQuery->close();

    if ($count > 0) {
        die("Doctor with this contact number already exists!");
    }

    // Prepare the SQL statement to prevent SQL injection
    $stmt = $conn->prepare("INSERT INTO doctors_info (doc_name, specialty, exp_years, doctor_fee, location, edu_qual, workplace, expertise, floor_no, room_no, contact_no, schedule, images, view_count, cetagory) 
                            VALUES (?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)");
    $stmt->bind_param(
        "ssissssssssssis",
        $doc_name,
        $specialty,
        $exp_years,
        $doctor_fee,
        $location,
        $edu_qual,
        $workplace,
        $expertise,
        $floor_no,
        $room_no,
        $contact_no,
        $schedule,
        $imageStore,
        $view_count,
        $cetagory
    );

    // Execute the query
    if ($stmt->execute()) {
        echo "Doctor information inserted successfully!";
    } else {
        die("Data insertion failed: " . $stmt->error);
    }

    // Close the statement
    $stmt->close();
}

// Close the database connection
$conn->close();

?>
