<?php

// Set character encoding headers
header('Content-Type: text/html; charset=utf-8');

include "connection.php";

// Set charset for database connection
mysqli_set_charset($conn, "utf8mb4");

if (isset($_POST['name'])) {

    // Get the POST data
    $name = $_POST['name'];
    $mobile = $_POST['mobile'];
    $upazila = $_POST['upazila'];
    $union_name = $_POST['union_name'];
    $village = $_POST['village'];
    $mestri_type = $_POST['mestri_type'];
    $experience = $_POST['experience'];
    $skills = $_POST['skills'];
    $service_area = $_POST['service_area'];
    $view_count = isset($_POST['view_count']) ? $_POST['view_count'] : 0;

    // Define the target directory for images
    $target_dir = "Images/";

    // Ensure the directory exists and is writable
    if (!is_dir($target_dir)) {
        mkdir($target_dir, 0755, true);
    }

    // Handle image upload
    $imageStore = null;
    if (isset($_FILES["image"]) && $_FILES["image"]["error"] === UPLOAD_ERR_OK) {
        $imageStore = rand() . "_" . time() . ".jpeg";
        $target_file = $target_dir . $imageStore;

        if (!move_uploaded_file($_FILES["image"]["tmp_name"], $target_file)) {
            echo "Image upload failed";
            exit;
        }
    }

    // Check for duplicate data
    $checkQuery = $conn->prepare("SELECT COUNT(*) FROM mestri_info WHERE mobile = ?");
    $checkQuery->bind_param("s", $mobile);
    $checkQuery->execute();
    $checkQuery->bind_result($count);
    $checkQuery->fetch();
    $checkQuery->close();

    if ($count > 0) {
        echo "Duplicate entry found!";
        exit;
    }

    // Prepare the SQL statement to prevent SQL injection
    $stmt = $conn->prepare("INSERT INTO mestri_info (name, mobile, upazila, union_name, village, mestri_type, experience, skills, service_area, view_count, images) 
                            VALUES (?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)");
    $stmt->bind_param(
        "ssssssissis",
        $name,
        $mobile,
        $upazila,
        $union_name,
        $village,
        $mestri_type,
        $experience,
        $skills,
        $service_area,
        $view_count,
        $imageStore
    );

    // Execute the query
    if ($stmt->execute()) {
        echo "Data inserted successfully!!";
    } else {
        echo "Data insertion failed: " . $stmt->error;
    }

    // Close the statement
    $stmt->close();
}

// Close the database connection
$conn->close();

?>
