<?php

// Set character encoding headers
header('Content-Type: text/html; charset=utf-8');

include 'db_connect.php';

// Set charset for database connection
mysqli_set_charset($conn, "utf8mb4");

if (isset($_POST['name'])) {
    
    // Get the POST data
    $user_id = $_POST['user_id'];
    $name = $_POST['name'];
    $mobile = $_POST['mobile'];
    
    // Define the target directory for images
    $target_dir = "Images/";

    // Ensure the directory exists and is writable
    if (!is_dir($target_dir) && !mkdir($target_dir, 0755, true)) {
        die("Failed to create directory!");
    }

    if (!is_writable($target_dir)) {
        die("Directory is not writable!");
    }

    // Handle single image upload
    $imageStore = null;
    if (isset($_FILES["image"]) && $_FILES["image"]["error"] === UPLOAD_ERR_OK) {
        $imageStore = rand() . "_" . time() . ".jpeg";
        $target_file = $target_dir . $imageStore;

        if (!move_uploaded_file($_FILES["image"]["tmp_name"], $target_file)) {
            die("Failed to move uploaded file! Check folder permissions.");
        }
    }

    // Prepare the SQL statement to prevent SQL injection
    $stmt = $conn->prepare("INSERT INTO person_information (user_id, name, mobile, images) VALUES (?, ?, ?, ?)");
    if ($stmt === false) {
        die("Error preparing statement: " . $conn->error);
    }

    $stmt->bind_param("isss", $user_id, $name, $mobile, $imageStore);

    // Execute the query
    if ($stmt->execute()) {
        echo "User information inserted successfully!";
    } else {
        die("Data insertion failed: " . $stmt->error);
    }

    // Close the statement
    $stmt->close();
}

// Close the database connection
$conn->close();

?>
