<?php

// চ্যারেসেট হিসেবে UTF-8 সেট করা হচ্ছে যাতে ইউনিকোড ক্যারেক্টারগুলো ঠিকভাবে প্রদর্শিত হয়
header('Content-Type: text/html; charset=utf-8');

// ডাটাবেজ কানেকশন ফাইল অন্তর্ভুক্ত করা হচ্ছে
include "connection.php";

// চেক করা হচ্ছে যদি POST এর মাধ্যমে 'image' এবং 'format' প্যারামিটার পাঠানো হয়
if (isset($_POST["image"]) && isset($_POST["format"])) {

    // 'image' প্যারামিটার থেকে ইমেজ ডাটা নেওয়া হচ্ছে
    $imageData = $_POST["image"];

    // 'format' প্যারামিটার থেকে ইমেজের ফরম্যাট নেওয়া হচ্ছে (যেমন: jpg বা png)
    $format = $_POST["format"]; // ✅ ফরম্যাট নেওয়া হলো (jpg/png)

    // Base64 ডেটাকে ডিকোড করা হচ্ছে (ইমেজ ডাটা)
    $imageData = base64_decode($imageData);

    // ফরম্যাট অনুযায়ী ফাইলের এক্সটেনশন ঠিক করা হচ্ছে
    if ($format == "png") {
        // যদি ফরম্যাট পিএনজি হয়, তাহলে .png এক্সটেনশন দেওয়া হচ্ছে
        $imageStore = "IMG_" . time() . ".png";
    } else {
        // যদি ফরম্যাট জেপিইজি হয়, তাহলে .jpg এক্সটেনশন দেওয়া হচ্ছে
        $imageStore = "IMG_" . time() . ".jpg";
    }

    // ইমেজ ফাইলটি যেখানে সংরক্ষণ হবে তার ডিরেক্টরি এবং ফাইল পাথ
    $target_dir = "Images/";
    $target_file = $target_dir . $imageStore;

    // ইমেজ ফাইল সংরক্ষণ করা হচ্ছে
    if (file_put_contents($target_file, $imageData)) {
        // সফলভাবে ইমেজ সংরক্ষণ হলে ডাটাবেজে ইনসার্ট করা হচ্ছে
        $insert = "INSERT INTO slider_list (images) VALUES ('$imageStore')";
        $response = mysqli_query($conn, $insert);

        // যদি ডাটাবেজে সঠিকভাবে ইনসার্ট হয়, "Image successfully uploaded." মেসেজ দেখানো হবে
        echo $response ? "Image successfully uploaded." : "Database insertion failed.";
    } else {
        // যদি ইমেজ ফাইল সংরক্ষণে সমস্যা হয়, "Failed to save image." মেসেজ দেখানো হবে
        echo "Failed to save image.";
    }
} else {
    // যদি POST থেকে 'image' অথবা 'format' প্যারামিটার না পাওয়া যায়, "No image file received." মেসেজ দেখানো হবে
    echo "No image file received.";
}

// ডাটাবেজ কানেকশন বন্ধ করা হচ্ছে
mysqli_close($conn);

?>
