<?php

// Set character encoding headers
header('Content-Type: text/html; charset=utf-8');

include "connection.php";

// Set charset for database connection
mysqli_set_charset($conn, "utf8mb4");

if (isset($_POST['name'])) {

    // Collect data from POST request
    $name = $_POST['name'];
    $ssc = $_POST['ssc'];
    $sscgpa = $_POST['sscgpa'];
    $hsc = $_POST['hsc'];
    $hscgpa = $_POST['hscgpa'];
    $subject = $_POST['subject'];
    $skill = $_POST['skill'];
    $gender = $_POST['gender'];
    $group = $_POST['group'];
    $division = $_POST['division'];
    $zila = $_POST['zila'];
    $upazila = $_POST['upazila'];
    $mobile = $_POST['mobile'];
    $view_count = isset($_POST['view_count']) ? $_POST['view_count'] : 0;

    // Define the target directory for images
    $target_dir = "Images/";

    // Ensure the directory exists and is writable
    if (!is_dir($target_dir)) {
        mkdir($target_dir, 0755, true);
    }

    // Handle image upload
    $imageStore = null;
    if (isset($_FILES["image"]) && $_FILES["image"]["error"] === UPLOAD_ERR_OK) {
        $imageStore = rand() . "_" . time() . ".jpeg";
        $target_file = $target_dir . $imageStore;

        if (!move_uploaded_file($_FILES["image"]["tmp_name"], $target_file)) {
            echo "Image upload failed!";
            exit;
        }
    }

    // Check for duplicate data based on mobile number
    $checkQuery = $conn->prepare("SELECT COUNT(*) FROM tution_sheba WHERE mobile = ?");
    $checkQuery->bind_param("s", $mobile);
    $checkQuery->execute();
    $checkQuery->bind_result($count);
    $checkQuery->fetch();
    $checkQuery->close();

    if ($count > 0) {
        echo "Duplicate entry found!";
        exit;
    }

    // Prepare the SQL statement to prevent SQL injection
    $stmt = $conn->prepare("INSERT INTO tution_sheba 
        (name, ssc, sscgpa, hsc, hscgpa, subject, skill, gender, `group`, division, zila, upazila, mobile, view_count, images) 
        VALUES (?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)");

    $stmt->bind_param("sssssssssssssis", 
        $name, 
        $ssc, 
        $sscgpa, 
        $hsc, 
        $hscgpa, 
        $subject, 
        $skill, 
        $gender, 
        $group, 
        $division, 
        $zila, 
        $upazila, 
        $mobile, 
        $view_count, 
        $imageStore
    );

    // Execute the prepared statement
    if ($stmt->execute()) {
        echo "Data inserted successfully!";
    } else {
        echo "Data insertion failed: " . $stmt->error;
    }

    // Close the statement
    $stmt->close();
}

// Close the connection
$conn->close();

?>
