<?php

// Set character encoding headers
header('Content-Type: text/html; charset=utf-8');

include "connection.php";

// Set charset for database connection
mysqli_set_charset($conn, "utf8mb4");

if (isset($_POST['name'])) {

    // Get the POST data
    $name = $_POST['name'];
    $category = $_POST['category'];
    $start_date = $_POST['start_date'];
    $mobile = $_POST['mobile'];
    $village = $_POST['village'];
    $union_name = $_POST['union_name'];
    $upazila = $_POST['upazila'];
    $district = $_POST['district'];
    $service_area = $_POST['service_area'];
    $description = $_POST['description'];
    $page_url = $_POST['page_url'];
    $view_count = isset($_POST['view_count']) ? $_POST['view_count'] : 0;

    // Define the target directory for images
    $target_dir = "Images/";

    // Ensure the directory exists and is writable
    if (!is_dir($target_dir) && !mkdir($target_dir, 0755, true)) {
        die("Failed to create directory!");
    }

    if (!is_writable($target_dir)) {
        die("Directory is not writable!");
    }

    // Handle single image upload
    $imageStore = null;
    if (isset($_FILES["image"]) && $_FILES["image"]["error"] === UPLOAD_ERR_OK) {
        $imageStore = rand() . "_" . time() . ".jpeg";
        $target_file = $target_dir . $imageStore;

        if (!move_uploaded_file($_FILES["image"]["tmp_name"], $target_file)) {
            die("Failed to move uploaded file! Check folder permissions.");
        }
    } else {
        if (isset($_FILES["image"]["error"])) {
            die("File upload error: " . $_FILES["image"]["error"]);
        } else {
            die("No file uploaded!");
        }
    }

    // Check for duplicate mobile number
    $checkQuery = $conn->prepare("SELECT COUNT(*) FROM uddokta_info WHERE mobile = ?");
    $checkQuery->bind_param("s", $mobile);
    $checkQuery->execute();
    $checkQuery->bind_result($count);
    $checkQuery->fetch();
    $checkQuery->close();

    if ($count > 0) {
        die("Service with this mobile number already exists!");
    }

    // Prepare the SQL statement to prevent SQL injection
    $stmt = $conn->prepare("INSERT INTO uddokta_info (name, category, start_date, mobile, village, union_name, upazila, district, service_area, description, page_url, view_count, images) 
                            VALUES (?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)");
    if ($stmt === false) {
        die("Error preparing statement: " . $conn->error);
    }

    $stmt->bind_param(
        "sssssssssssis",
        $name,
        $category,
        $start_date,
        $mobile,
        $village,
        $union_name,
        $upazila,
        $district,
        $service_area,
        $description,
        $page_url,
        $view_count,
        $imageStore
    );

    // Execute the query
    if ($stmt->execute()) {
        echo "Service information inserted successfully!";
    } else {
        die("Data insertion failed: " . $stmt->error);
    }

    // Close the statement
    $stmt->close();
}

// Close the database connection
$conn->close();

?>
