<?php
header("Content-Type: application/json");
header("Access-Control-Allow-Origin: *");

include "connection.php"; // Database connection file

// Change this to your actual server domain
$base_url = "https://yourserver.com/uploads/"; // 🔥 সার্ভারের ইমেজ ফোল্ডারের সম্পূর্ণ URL দিন

$sql = "SELECT * FROM products";
$result = $conn->query($sql);

$products = [];

if ($result->num_rows > 0) {
    while ($row = $result->fetch_assoc()) {
        // Image paths filtering (Remove null values & add full URL)
        $images = array_filter([
            $row["image1"] ? $base_url . $row["image1"] : null,
            $row["image2"] ? $base_url . $row["image2"] : null,
            $row["image3"] ? $base_url . $row["image3"] : null,
            $row["image4"] ? $base_url . $row["image4"] : null,
            $row["image5"] ? $base_url . $row["image5"] : null
        ]);

        $products[] = [
            "id" => $row["id"],
            "name" => $row["name"],
            "price" => $row["price"],
            "location" => $row["location"],
            "images" => array_values($images) // Convert to array
        ];
    }
}

// Return JSON response
echo json_encode($products, JSON_UNESCAPED_SLASHES); // ✅ JSON_ENCODE ফিক্সড

$conn->close();
?>
