<?php
header('Content-Type: application/json');

// Database connection
include 'db_connect.php';

// Get the notice text from the request
$data = json_decode(file_get_contents("php://input"), true);
$notice = isset($data['notice']) ? $data['notice'] : '';

if ($notice) {
    // Update the notice in the database
    $sql = "INSERT INTO notice_table (notice) VALUES (?)";
    $stmt = $conn->prepare($sql);
    $stmt->bind_param('s', $notice);

    if ($stmt->execute()) {
        echo json_encode(['success' => true]);
    } else {
        echo json_encode(['success' => false, 'message' => 'Failed to update notice']);
    }
} else {
    echo json_encode(['success' => false, 'message' => 'Notice text is empty']);
}

$conn->close();
?>
