<?php
// Database connection credentials
include 'db_connect.php';

$response = array();
$base_url = "https://bdappstore.com/akhaura_online_sheba/sliderImageAdmin/slider_image/"; // Base URL

if ($_SERVER['REQUEST_METHOD'] === 'POST') {
    // Check if the ID is set for editing
    $imageId = isset($_POST['id']) ? $_POST['id'] : null;

    if (isset($_FILES['image']) && $_FILES['image']['error'] == 0) {
        $image = $_FILES['image'];
        $imageName = $image['name'];
        $imagePath = $base_url . $imageName;

        // Move the uploaded file to the desired directory
        $uploadDir = 'slider_image/'; // Directory on the server where images will be uploaded
        $uploadPath = $uploadDir . $imageName;

        if (move_uploaded_file($image['tmp_name'], $uploadPath)) {
            if ($imageId) {
                // Update image if editing
                $sql = "UPDATE slider_images SET image_url = ? WHERE id = ?";
                $stmt = $conn->prepare($sql);
                $stmt->bind_param('si', $imagePath, $imageId);
                if ($stmt->execute()) {
                    $response['success'] = true;
                    $response['message'] = "Image updated successfully.";
                } else {
                    $response['success'] = false;
                    $response['message'] = "Failed to update image.";
                }
            } else {
                // Insert new image if adding
                $sql = "INSERT INTO slider_images (image_url) VALUES (?)";
                $stmt = $conn->prepare($sql);
                $stmt->bind_param('s', $imagePath);
                if ($stmt->execute()) {
                    $response['success'] = true;
                    $response['message'] = "Image added successfully.";
                } else {
                    $response['success'] = false;
                    $response['message'] = "Failed to add image.";
                }
            }
        } else {
            $response['success'] = false;
            $response['message'] = "Failed to upload image.";
        }
    } else {
        $response['success'] = false;
        $response['message'] = "No image selected or error uploading.";
    }
}

$conn->close();
header('Content-Type: application/json');
echo json_encode($response);
?>
