<?php

// Set character encoding headers
header('Content-Type: text/html; charset=utf-8');

include "connection.php";

// Set charset for database connection 
mysqli_set_charset($conn, "utf8mb4");

if (isset($_POST['id']) && isset($_POST['name'])) {

    $id = $_POST['id']; // Record ID to update
    $name = $_POST['name'];
    $ssc = $_POST['ssc'];
    $sscgpa = $_POST['sscgpa'];
    $hsc = isset($_POST['hsc']) ? $_POST['hsc'] : '';  // Ensure hsc is not NULL
    $hscgpa = $_POST['hscgpa'];
    $subject = $_POST['subject'];
    $skill = $_POST['skill'];
    $gender = $_POST['gender'];
    $group = $_POST['group'];
    $division = $_POST['division'];
    $zila = $_POST['zila'];
    $upazila = $_POST['upazila'];
    $mobile = $_POST['mobile'];

    // Define the target directory for images
    $target_dir = "Images/";

    // Ensure the directory exists and is writable
    if (!is_dir($target_dir)) {
        mkdir($target_dir, 0755, true);
    }

    // Generate a unique filename if a new image is uploaded
    $imageStore = null;
    if (isset($_FILES["image"]) && $_FILES["image"]["error"] === UPLOAD_ERR_OK) {
        $imageStore = rand() . "_" . time() . ".jpeg";
        $target_file = $target_dir . $imageStore;

        // Save the image
        if (!move_uploaded_file($_FILES["image"]["tmp_name"], $target_file)) {
            echo "Image upload failed";
            exit;
        }
    }

    // Prepare the SQL statement for update
    $sql = "UPDATE tution_sheba 
            SET name = ?, 
                ssc = ?, 
                sscgpa = ?, 
                hsc = ?, 
                hscgpa = ?, 
                subject = ?, 
                skill = ?, 
                gender = ?, 
                `group` = ?, 
                division = ?, 
                zila = ?, 
                upazila = ?, 
                mobile = ?";

    // Append image update if a new image is uploaded
    if ($imageStore) {
        $sql .= ", images = ?";
    }
    $sql .= " WHERE id = ?";

    // Prepare the statement
    $stmt = $conn->prepare($sql);
    if ($imageStore) {
        $stmt->bind_param("ssssssssssssssi", $name, $ssc, $sscgpa, $hsc, $hscgpa, $subject, $skill, $gender, $group, $division, $zila, $upazila, $mobile, $imageStore, $id);
    } else {
        $stmt->bind_param("sssssssssssssi", $name, $ssc, $sscgpa, $hsc, $hscgpa, $subject, $skill, $gender, $group, $division, $zila, $upazila, $mobile, $id);
    }

    // Execute the query
    if ($stmt->execute()) {
        echo "Data updated successfully!!";
    } else {
        echo "Data update failed: " . $stmt->error;
    }

    // Close the statement
    $stmt->close();
}

// Close the database connection
$conn->close();

?>
