<?php

// Set character encoding headers
header('Content-Type: text/html; charset=utf-8');

include 'db_connect.php';

// Set charset for database connection 
mysqli_set_charset($conn, "utf8mb4");

if (isset($_POST['id']) && isset($_POST['name'])) {

    // Get the POST data
    $id = $_POST['id']; // Record ID to update
    $name = $_POST['name'];
    $category = $_POST['category'];
    $start_date = $_POST['start_date'];
    $mobile = $_POST['mobile'];
    $village = $_POST['village'];
    $union_name = $_POST['union_name'];
    $upazila = $_POST['upazila'];
    $district = $_POST['district'];
    $service_area = $_POST['service_area'];
    $description = $_POST['description'];
    $page_url = $_POST['page_url'];

    // Define the target directory for images
    $target_dir = "Images/";

    // Ensure the directory exists and is writable
    if (!is_dir($target_dir)) {
        mkdir($target_dir, 0755, true);
    }

    // Generate a unique filename if a new image is uploaded
    $imageStore = null;
    if (isset($_FILES["image"]) && $_FILES["image"]["error"] === UPLOAD_ERR_OK) {
        $imageStore = rand() . "_" . time() . ".jpeg";
        $target_file = $target_dir . $imageStore;

        // Save the image
        if (!move_uploaded_file($_FILES["image"]["tmp_name"], $target_file)) {
            echo "Image upload failed";
            exit;
        }
    }

    // Prepare the SQL statement for update
    $sql = "UPDATE uddokta_info 
            SET name = ?, 
                category = ?, 
                start_date = ?, 
                mobile = ?, 
                village = ?, 
                union_name = ?, 
                upazila = ?, 
                district = ?, 
                service_area = ?, 
                description = ?, 
                page_url = ?";

    // Append image update if a new image is uploaded
    if ($imageStore) {
        $sql .= ", images = ?";
    }
    $sql .= " WHERE id = ?";

    // Prepare the statement
    $stmt = $conn->prepare($sql);
    if ($imageStore) {
        $stmt->bind_param("ssssssssssssi", $name, $category, $start_date, $mobile, $village, $union_name, $upazila, $district, $service_area, $description, $page_url, $imageStore, $id);
    } else {
        $stmt->bind_param("sssssssssssi", $name, $category, $start_date, $mobile, $village, $union_name, $upazila, $district, $service_area, $description, $page_url, $id);
    }

    // Execute the query
    if ($stmt->execute()) {
        echo "Data updated successfully!!";
    } else {
        echo "Data update failed: " . $stmt->error;
    }

    // Close the statement
    $stmt->close();
}

// Close the database connection
$conn->close();

?>
