<?php

include "connection.php";

// MySQL কানেকশন
$conn = new mysqli($servername, $username, $password, $dbname);

if ($conn->connect_error) {
    die("Connection failed: " . $conn->connect_error);
}

// ফোল্ডার তৈরি (যদি না থাকে)
$uploadDir = "uploads/";
if (!is_dir($uploadDir)) {
    mkdir($uploadDir, 0777, true);
}

$response = array();

if ($_SERVER['REQUEST_METHOD'] == 'POST') {
    $product_name = $_POST['product_name'];

    $filePaths = array();

    // Base64 ইমেজ প্রসেস করা
    for ($i = 1; $i <= 5; $i++) {
        $fileKey = "image" . $i;
        if (isset($_POST[$fileKey])) {
            $base64Image = $_POST[$fileKey];
            $imageData = base64_decode($base64Image);  // Base64 ডিকোড
            $fileName = uniqid() . ".jpg";  // ইউনিক ফাইল নাম

            // ফাইল পাথ তৈরি করা
            $targetFilePath = $uploadDir . $fileName;
            if (file_put_contents($targetFilePath, $imageData)) {
                $filePaths[] = $targetFilePath;
            } else {
                $filePaths[] = null; // ফাইল আপলোড ব্যর্থ হলে
            }
        } else {
            $filePaths[] = null;
        }
    }

    // ডেটাবেসে ডাটা ইনসার্ট
    $sql = "INSERT INTO products (product_name, image1, image2, image3, image4, image5) VALUES (?, ?, ?, ?, ?, ?)";
    $stmt = $conn->prepare($sql);
    $stmt->bind_param("ssssss", $product_name, $filePaths[0], $filePaths[1], $filePaths[2], $filePaths[3], $filePaths[4]);

    if ($stmt->execute()) {
        $response["success"] = true;
        $response["message"] = "Product uploaded successfully!";
    } else {
        $response["success"] = false;
        $response["message"] = "Database error!";
    }

    $stmt->close();
} else {
    $response["success"] = false;
    $response["message"] = "Invalid request!";
}

$conn->close();
echo json_encode($response);
?>
