<?php

// Set character encoding headers
header('Content-Type: application/json; charset=utf-8');

include 'connection.php';

// Set charset for database connection
mysqli_set_charset($conn, 'utf8mb4');

// Retrieve the category from the GET request
$cetagory = $_GET['cetagory'] ?? ''; // Default to an empty string if not set

// Sanitize the input to prevent SQL injection
$cetagory = mysqli_real_escape_string($conn, $cetagory);

// Query to fetch data based on the category
$sql = "SELECT * FROM doctors_info WHERE cetagory = '$cetagory'";
$result = mysqli_query($conn, $sql);


// Initialize an empty array to store the response data
$data = [];

// SQL query to select all records from the doctors_info table
$sql = "SELECT doc_name, specialty, exp_years, doctor_fee, location, edu_qual, workplace, expertise, floor_no, room_no, contact_no, schedule,cetagory, view_count, images FROM doctors_info";
$result = mysqli_query($conn, $sql);

// Check if the query was successful
if ($result) {
    // Loop through the result set and build the data array
    while ($item = mysqli_fetch_assoc($result)) {
        $info = [
            'doc_name'      => $item['doc_name'],
            'specialty'     => $item['specialty'],
            'exp_years'     => $item['exp_years'],
            'doctor_fee'    => $item['doctor_fee'],
            'location'      => $item['location'],
            'edu_qual'      => $item['edu_qual'],
            'workplace'     => $item['workplace'],
            'expertise'     => $item['expertise'],
            'floor_no'      => $item['floor_no'],
            'room_no'       => $item['room_no'],
            'contact_no'    => $item['contact_no'],
            'schedule'      => $item['schedule'],
             'cetagory'      => $item['cetagory'],
            'view_count'    => $item['view_count'],
            'images'        => $item['images'],
        ];
        array_push($data, $info);
    }

    // Return the data as a JSON response
    echo json_encode($data, JSON_UNESCAPED_UNICODE);
} else {
    // Return an error message if the query failed
    echo json_encode(['error' => 'Failed to retrieve data from the database.'], JSON_UNESCAPED_UNICODE);
}

// Close the database connection
mysqli_close($conn);

?>
