<?php

// Include the connection file
include("connection.php");

// Ensure the content type is set to JSON with UTF-8 encoding
header('Content-Type: application/json; charset=utf-8');

// Set the MySQL connection character set to UTF-8
mysqli_set_charset($conn, "utf8mb4");

// Retrieve the category from the GET request
$cetagory = $_GET['cetagory'] ?? ''; // Default to an empty string if not set

// Sanitize the input to prevent SQL injection
$cetagory = mysqli_real_escape_string($conn, $cetagory);

// Initialize the data array
$data = [];

// Query to fetch data based on the category
$sql = "SELECT * FROM doctors_info WHERE cetagory = '$cetagory'";
$result = mysqli_query($conn, $sql);

// Check if the query was successful
if ($result) {
    // Loop through the result set and build the data array
    while ($item = mysqli_fetch_assoc($result)) {
        $info = [
            'id'          => $item['id'],
            'doc_name'    => $item['doc_name'],
            'specialty'   => $item['specialty'],
            'exp_years'   => $item['exp_years'],
            'doctor_fee'  => $item['doctor_fee'],
            'location'    => $item['location'],
            'edu_qual'    => $item['edu_qual'],
            'workplace'   => $item['workplace'],
            'expertise'   => $item['expertise'],
            'floor_no'    => $item['floor_no'],
            'room_no'     => $item['room_no'],
            'contact_no'  => $item['contact_no'],
            'schedule'    => $item['schedule'],
            'cetagory'    => $item['cetagory'],
            'view_count'  => $item['view_count'],
            'images'      => $item['images'],
        ];
        array_push($data, $info);
    }

    // Return the data as a JSON response
    echo json_encode($data, JSON_UNESCAPED_UNICODE);
} else {
    // Return an error message if the query failed
    echo json_encode(['error' => 'Failed to retrieve data from the database.'], JSON_UNESCAPED_UNICODE);
    // Log the error for debugging
    error_log("MySQL error: " . mysqli_error($conn));
}

// Close the database connection
mysqli_close($conn);

?>
