<?php
// Enable error reporting to catch issues
error_reporting(E_ALL); 

// Include the connection file
include("connection.php");

// Ensure the content type is set to JSON with UTF-8 encoding
header('Content-Type: application/json; charset=utf-8');

// Set the MySQL connection character set to UTF-8
mysqli_set_charset($conn, "utf8mb4");

// Retrieve the category from the GET request
$cetagory = $_GET['cetagory'] ?? ''; // Default to an empty string if not set

// Sanitize the input to prevent SQL injection
$cetagory = mysqli_real_escape_string($conn, $cetagory);

// Query to fetch data based on the category
$sql = "SELECT * FROM doctors_info WHERE cetagory = '$cetagory'";
$result = mysqli_query($conn, $sql);

// Check for query errors
if (!$result) {
    die(json_encode(["error" => "Query failed: " . mysqli_error($conn)]));
}

// Initialize an array to hold the data
$data = [];


//===========================================================================================

//===========================================================================================

// Fetch each row and store in the array
while ($item = mysqli_fetch_assoc($result)) {
    $data[] = [
        'id' => $item['id'],
        'doc_name' => $item['doc_name'],
        'specialty' => $item['specialty'],
        'exp_years' => $item['exp_years'],
        'doctor_fee' => $item['doctor_fee'],
        'location' => $item['location'],
        
        'edu_qual' => $item['edu_qual'],
        'workplace' => $item['workplace'],
        'expertise' => $item['expertise'],
        'floor_no' => $item['floor_no'],
        'room_no' => $item['room_no'],
        'contact_no' => $item['contact_no'],
        'schedule' => $item['schedule'],
         'view_count' => $item['view_count'],
        
        'cetagory' => $item['cetagory'],
        'images' => $item['images']
    ];
}

// Encode the data as JSON, preserving Unicode characters
echo json_encode($data, JSON_UNESCAPED_UNICODE);
?>
