<?php

// Set character encoding headers
header('Content-Type: application/json; charset=utf-8');

include 'connection.php';

// Set charset for database connection
mysqli_set_charset($conn, 'utf8mb4');

// Initialize an empty array to store the response data
$data = [];

// SQL query to select all records from the mestri_info table
$sql = "SELECT id, name, mobile, upazila, union_name, village, mestri_type, experience, skills, service_area, view_count, images FROM mestri_info";
$result = mysqli_query($conn, $sql);

// Check if the query was successful
if ($result) {
    // Loop through the result set and build the data array
    while ($item = mysqli_fetch_assoc($result)) {
        $info = [
            'id'            => $item['id'],
            'name'          => $item['name'],
            'mobile'        => $item['mobile'],
            'upazila'       => $item['upazila'],
            'union_name'    => $item['union_name'],
            'village'       => $item['village'],
            'mestri_type'   => $item['mestri_type'],
            'experience'    => $item['experience'],
            'skills'        => $item['skills'],
            'service_area'  => $item['service_area'],
            'view_count'    => $item['view_count'],
            'images'        => $item['images'],
        ];
        array_push($data, $info);
    }

    // Return the data as a JSON response
    echo json_encode($data, JSON_UNESCAPED_UNICODE);
} else {
    // Return an error message if the query failed
    echo json_encode(['error' => 'Failed to retrieve data from the database.'], JSON_UNESCAPED_UNICODE);
}

// Close the database connection
mysqli_close($conn);

?>
