<?php

// Set character encoding headers
header('Content-Type: application/json; charset=utf-8');

include 'connection.php';

// Set charset for database connection
mysqli_set_charset($conn, 'utf8mb4');


// Initialize an empty array to store the response data
$data = [];

// SQL query to select all records from the tution_sheba table
$sql = "SELECT id, name, ssc, sscgpa, hsc, hscgpa, subject, skill, gender, `group`, division, zila, upazila, mobile, view_count, images FROM tution_sheba";
$result = mysqli_query($conn, $sql);

// Check if the query was successful
if ($result) {
    // Loop through the result set and build the data array
    while ($item = mysqli_fetch_assoc($result)) {
        $info = [
            'id'         => $item['id'],
            'name'       => $item['name'],
            'ssc'        => $item['ssc'],
            'sscgpa'     => $item['sscgpa'],
            'hsc'        => $item['hsc'],
            'hscgpa'     => $item['hscgpa'],
            'subject'    => $item['subject'],
            'skill'      => $item['skill'],
            'gender'     => $item['gender'],
            'group'      => $item['group'],
            'division'   => $item['division'],
            'zila'       => $item['zila'],
            'upazila'    => $item['upazila'],
            'mobile'     => $item['mobile'],
            'view_count' => $item['view_count'],
            'images'     => $item['images'],
        ];
        array_push($data, $info);
    }

    // Return the data as a JSON response
    echo json_encode($data, JSON_UNESCAPED_UNICODE);
} else {
    // Return an error message if the query failed
    echo json_encode(['error' => 'Failed to retrieve data from the database.'], JSON_UNESCAPED_UNICODE);
}

// Close the database connection
mysqli_close($conn);

?>
