<?php

// Set character encoding headers
header('Content-Type: application/json; charset=utf-8');

include 'connection.php';

// Set charset for database connection
mysqli_set_charset($conn, 'utf8mb4');

// Initialize an empty array to store the response data
$data = [];

// SQL query to select all records from the uddokta_info table
$sql = "SELECT id, name, category, start_date, mobile, village, union_name, upazila, district, service_area, description, page_url, view_count, images FROM uddokta_info";
$result = mysqli_query($conn, $sql);

// Check if the query was successful
if ($result) {
    // Loop through the result set and build the data array
    while ($item = mysqli_fetch_assoc($result)) {
        $info = [
            'id'           => $item['id'],
            'name'         => $item['name'],
            'category'     => $item['category'],
            'start_date'   => $item['start_date'],
            'mobile'       => $item['mobile'],
            'village'      => $item['village'],
            'union_name'   => $item['union_name'],
            'upazila'      => $item['upazila'],
            'district'     => $item['district'],
            'service_area' => $item['service_area'],
            'description'  => $item['description'],
            'page_url'     => $item['page_url'],
            'view_count'   => $item['view_count'],
            'images'       => $item['images'],
        ];
        array_push($data, $info);
    }

    // Return the data as a JSON response
    echo json_encode($data, JSON_UNESCAPED_UNICODE);
} else {
    // Return an error message if the query failed
    echo json_encode(['error' => 'Failed to retrieve data from the database.'], JSON_UNESCAPED_UNICODE);
}

// Close the database connection
mysqli_close($conn);

?>
